/**
 * Copyright (C) 2012 Ness Computing, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.nesscomputing.concurrent;

import java.util.concurrent.ScheduledExecutorService;

/**
 * AutoCloseable ScheduledExecutorService implementation.  The service will be shutdown
 * but may not have terminated when close returns.
 */
public class ShutdownScheduledExecutorService extends DelegatingScheduledExecutorService implements AutoCloseable
{
    ShutdownScheduledExecutorService(ScheduledExecutorService delegate)
    {
        super(delegate);
    }

    @Override
    public void close()
    {
        getDelegate().shutdown();
    }
}
